source: squid-ssl/trunk/fuentes/helpers/basic_auth/NIS/Makefile.in @ 5496

Last change on this file since 5496 was 5496, checked in by Juanma, 22 months ago

Initial release

File size: 40.7 KB
Line 
1# Makefile.in generated by automake 1.15 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17VPATH = @srcdir@
18am__is_gnu_make = { \
19  if test -z '$(MAKELEVEL)'; then \
20    false; \
21  elif test -n '$(MAKE_HOST)'; then \
22    true; \
23  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
24    true; \
25  else \
26    false; \
27  fi; \
28}
29am__make_running_with_option = \
30  case $${target_option-} in \
31      ?) ;; \
32      *) echo "am__make_running_with_option: internal error: invalid" \
33              "target option '$${target_option-}' specified" >&2; \
34         exit 1;; \
35  esac; \
36  has_opt=no; \
37  sane_makeflags=$$MAKEFLAGS; \
38  if $(am__is_gnu_make); then \
39    sane_makeflags=$$MFLAGS; \
40  else \
41    case $$MAKEFLAGS in \
42      *\\[\ \   ]*) \
43        bs=\\; \
44        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
45          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
46    esac; \
47  fi; \
48  skip_next=no; \
49  strip_trailopt () \
50  { \
51    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
52  }; \
53  for flg in $$sane_makeflags; do \
54    test $$skip_next = yes && { skip_next=no; continue; }; \
55    case $$flg in \
56      *=*|--*) continue;; \
57        -*I) strip_trailopt 'I'; skip_next=yes;; \
58      -*I?*) strip_trailopt 'I';; \
59        -*O) strip_trailopt 'O'; skip_next=yes;; \
60      -*O?*) strip_trailopt 'O';; \
61        -*l) strip_trailopt 'l'; skip_next=yes;; \
62      -*l?*) strip_trailopt 'l';; \
63      -[dEDm]) skip_next=yes;; \
64      -[JT]) skip_next=yes;; \
65    esac; \
66    case $$flg in \
67      *$$target_option*) has_opt=yes; break;; \
68    esac; \
69  done; \
70  test $$has_opt = yes
71am__make_dryrun = (target_option=n; $(am__make_running_with_option))
72am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
73pkgdatadir = $(datadir)/@PACKAGE@
74pkgincludedir = $(includedir)/@PACKAGE@
75pkglibdir = $(libdir)/@PACKAGE@
76pkglibexecdir = $(libexecdir)/@PACKAGE@
77am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
78install_sh_DATA = $(install_sh) -c -m 644
79install_sh_PROGRAM = $(install_sh) -c
80install_sh_SCRIPT = $(install_sh) -c
81INSTALL_HEADER = $(INSTALL_DATA)
82transform = $(program_transform_name)
83NORMAL_INSTALL = :
84PRE_INSTALL = :
85POST_INSTALL = :
86NORMAL_UNINSTALL = :
87PRE_UNINSTALL = :
88POST_UNINSTALL = :
89build_triplet = @build@
90host_triplet = @host@
91check_PROGRAMS =
92TESTS =
93@ENABLE_LOADABLE_MODULES_TRUE@am__append_1 = $(INCLTDL)
94libexec_PROGRAMS = basic_nis_auth$(EXEEXT)
95subdir = helpers/basic_auth/NIS
96ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
97am__aclocal_m4_deps = $(top_srcdir)/acinclude/ax_with_prog.m4 \
98        $(top_srcdir)/acinclude/init.m4 \
99        $(top_srcdir)/acinclude/squid-util.m4 \
100        $(top_srcdir)/acinclude/compiler-flags.m4 \
101        $(top_srcdir)/acinclude/os-deps.m4 \
102        $(top_srcdir)/acinclude/krb5.m4 $(top_srcdir)/acinclude/pam.m4 \
103        $(top_srcdir)/acinclude/pkg.m4 \
104        $(top_srcdir)/acinclude/lib-checks.m4 \
105        $(top_srcdir)/acinclude/ax_cxx_compile_stdcxx_11.m4 \
106        $(top_srcdir)/acinclude/ax_cxx_0x_types.m4 \
107        $(top_srcdir)/helpers/basic_auth/modules.m4 \
108        $(top_srcdir)/helpers/basic_auth/DB/required.m4 \
109        $(top_srcdir)/helpers/basic_auth/LDAP/required.m4 \
110        $(top_srcdir)/helpers/basic_auth/MSNT-multi-domain/required.m4 \
111        $(top_srcdir)/helpers/basic_auth/NCSA/required.m4 \
112        $(top_srcdir)/helpers/basic_auth/NIS/required.m4 \
113        $(top_srcdir)/helpers/basic_auth/PAM/required.m4 \
114        $(top_srcdir)/helpers/basic_auth/POP3/required.m4 \
115        $(top_srcdir)/helpers/basic_auth/RADIUS/required.m4 \
116        $(top_srcdir)/helpers/basic_auth/SASL/required.m4 \
117        $(top_srcdir)/helpers/basic_auth/SMB/required.m4 \
118        $(top_srcdir)/helpers/basic_auth/SMB_LM/required.m4 \
119        $(top_srcdir)/helpers/basic_auth/SSPI/required.m4 \
120        $(top_srcdir)/helpers/basic_auth/fake/required.m4 \
121        $(top_srcdir)/helpers/basic_auth/getpwnam/required.m4 \
122        $(top_srcdir)/helpers/digest_auth/modules.m4 \
123        $(top_srcdir)/helpers/digest_auth/LDAP/required.m4 \
124        $(top_srcdir)/helpers/digest_auth/eDirectory/required.m4 \
125        $(top_srcdir)/helpers/digest_auth/file/required.m4 \
126        $(top_srcdir)/helpers/negotiate_auth/modules.m4 \
127        $(top_srcdir)/helpers/negotiate_auth/SSPI/required.m4 \
128        $(top_srcdir)/helpers/negotiate_auth/kerberos/required.m4 \
129        $(top_srcdir)/helpers/negotiate_auth/wrapper/required.m4 \
130        $(top_srcdir)/helpers/ntlm_auth/modules.m4 \
131        $(top_srcdir)/helpers/ntlm_auth/fake/required.m4 \
132        $(top_srcdir)/helpers/ntlm_auth/SSPI/required.m4 \
133        $(top_srcdir)/helpers/ntlm_auth/smb_lm/required.m4 \
134        $(top_srcdir)/helpers/log_daemon/modules.m4 \
135        $(top_srcdir)/helpers/log_daemon/DB/required.m4 \
136        $(top_srcdir)/helpers/log_daemon/file/required.m4 \
137        $(top_srcdir)/helpers/external_acl/modules.m4 \
138        $(top_srcdir)/helpers/external_acl/AD_group/required.m4 \
139        $(top_srcdir)/helpers/external_acl/LDAP_group/required.m4 \
140        $(top_srcdir)/helpers/external_acl/LM_group/required.m4 \
141        $(top_srcdir)/helpers/external_acl/delayer/required.m4 \
142        $(top_srcdir)/helpers/external_acl/SQL_session/required.m4 \
143        $(top_srcdir)/helpers/external_acl/eDirectory_userip/required.m4 \
144        $(top_srcdir)/helpers/external_acl/file_userip/required.m4 \
145        $(top_srcdir)/helpers/external_acl/kerberos_ldap_group/required.m4 \
146        $(top_srcdir)/helpers/external_acl/session/required.m4 \
147        $(top_srcdir)/helpers/external_acl/time_quota/required.m4 \
148        $(top_srcdir)/helpers/external_acl/unix_group/required.m4 \
149        $(top_srcdir)/helpers/external_acl/wbinfo_group/required.m4 \
150        $(top_srcdir)/helpers/url_rewrite/modules.m4 \
151        $(top_srcdir)/helpers/url_rewrite/fake/required.m4 \
152        $(top_srcdir)/helpers/storeid_rewrite/modules.m4 \
153        $(top_srcdir)/helpers/storeid_rewrite/file/required.m4 \
154        $(top_srcdir)/configure.ac
155am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
156        $(ACLOCAL_M4)
157DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
158mkinstalldirs = $(install_sh) -d
159CONFIG_HEADER = $(top_builddir)/include/autoconf.h
160CONFIG_CLEAN_FILES =
161CONFIG_CLEAN_VPATH_FILES =
162am__installdirs = "$(DESTDIR)$(libexecdir)"
163PROGRAMS = $(libexec_PROGRAMS)
164am_basic_nis_auth_OBJECTS = basic_nis_auth.$(OBJEXT) \
165        nis_support.$(OBJEXT)
166basic_nis_auth_OBJECTS = $(am_basic_nis_auth_OBJECTS)
167@ENABLE_XPROF_STATS_TRUE@am__DEPENDENCIES_1 = $(top_builddir)/lib/profiler/libprofiler.la
168am__DEPENDENCIES_2 = $(top_builddir)/compat/libcompat-squid.la \
169        $(am__DEPENDENCIES_1)
170am__DEPENDENCIES_3 =
171basic_nis_auth_DEPENDENCIES = $(top_builddir)/lib/libmiscencoding.la \
172        $(am__DEPENDENCIES_2) $(am__DEPENDENCIES_3) \
173        $(am__DEPENDENCIES_3)
174AM_V_lt = $(am__v_lt_@AM_V@)
175am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
176am__v_lt_0 = --silent
177am__v_lt_1 =
178AM_V_P = $(am__v_P_@AM_V@)
179am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
180am__v_P_0 = false
181am__v_P_1 = :
182AM_V_GEN = $(am__v_GEN_@AM_V@)
183am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
184am__v_GEN_0 = @echo "  GEN     " $@;
185am__v_GEN_1 =
186AM_V_at = $(am__v_at_@AM_V@)
187am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
188am__v_at_0 = @
189am__v_at_1 =
190DEFAULT_INCLUDES =
191depcomp = $(SHELL) $(top_srcdir)/cfgaux/depcomp
192am__depfiles_maybe = depfiles
193am__mv = mv -f
194CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
195        $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
196LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
197        $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
198        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
199        $(AM_CXXFLAGS) $(CXXFLAGS)
200AM_V_CXX = $(am__v_CXX_@AM_V@)
201am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
202am__v_CXX_0 = @echo "  CXX     " $@;
203am__v_CXX_1 =
204CXXLD = $(CXX)
205CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
206        $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
207        $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
208AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
209am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
210am__v_CXXLD_0 = @echo "  CXXLD   " $@;
211am__v_CXXLD_1 =
212COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
213        $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
214LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
215        $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
216        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
217        $(AM_CFLAGS) $(CFLAGS)
218AM_V_CC = $(am__v_CC_@AM_V@)
219am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
220am__v_CC_0 = @echo "  CC      " $@;
221am__v_CC_1 =
222CCLD = $(CC)
223LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
224        $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
225        $(AM_LDFLAGS) $(LDFLAGS) -o $@
226AM_V_CCLD = $(am__v_CCLD_@AM_V@)
227am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
228am__v_CCLD_0 = @echo "  CCLD    " $@;
229am__v_CCLD_1 =
230SOURCES = $(basic_nis_auth_SOURCES)
231DIST_SOURCES = $(basic_nis_auth_SOURCES)
232am__can_run_installinfo = \
233  case $$AM_UPDATE_INFO_DIR in \
234    n|no|NO) false;; \
235    *) (install-info --version) >/dev/null 2>&1;; \
236  esac
237am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
238# Read a list of newline-separated strings from the standard input,
239# and print each of them once, without duplicates.  Input order is
240# *not* preserved.
241am__uniquify_input = $(AWK) '\
242  BEGIN { nonempty = 0; } \
243  { items[$$0] = 1; nonempty = 1; } \
244  END { if (nonempty) { for (i in items) print i; }; } \
245'
246# Make sure the list of sources is unique.  This is necessary because,
247# e.g., the same source file might be shared among _SOURCES variables
248# for different programs/libraries.
249am__define_uniq_tagged_files = \
250  list='$(am__tagged_files)'; \
251  unique=`for i in $$list; do \
252    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
253  done | $(am__uniquify_input)`
254ETAGS = etags
255CTAGS = ctags
256am__tty_colors_dummy = \
257  mgn= red= grn= lgn= blu= brg= std=; \
258  am__color_tests=no
259am__tty_colors = { \
260  $(am__tty_colors_dummy); \
261  if test "X$(AM_COLOR_TESTS)" = Xno; then \
262    am__color_tests=no; \
263  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
264    am__color_tests=yes; \
265  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
266    am__color_tests=yes; \
267  fi; \
268  if test $$am__color_tests = yes; then \
269    red='[0;31m'; \
270    grn='[0;32m'; \
271    lgn='[1;32m'; \
272    blu='[1;34m'; \
273    mgn='[0;35m'; \
274    brg='[1m'; \
275    std='[m'; \
276  fi; \
277}
278am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
279am__vpath_adj = case $$p in \
280    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
281    *) f=$$p;; \
282  esac;
283am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
284am__install_max = 40
285am__nobase_strip_setup = \
286  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
287am__nobase_strip = \
288  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
289am__nobase_list = $(am__nobase_strip_setup); \
290  for p in $$list; do echo "$$p $$p"; done | \
291  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
292  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
293    if (++n[$$2] == $(am__install_max)) \
294      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
295    END { for (dir in files) print dir, files[dir] }'
296am__base_list = \
297  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
298  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
299am__uninstall_files_from_dir = { \
300  test -z "$$files" \
301    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
302    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
303         $(am__cd) "$$dir" && rm -f $$files; }; \
304  }
305am__recheck_rx = ^[     ]*:recheck:[    ]*
306am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
307am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
308# A command that, given a newline-separated list of test names on the
309# standard input, print the name of the tests that are to be re-run
310# upon "make recheck".
311am__list_recheck_tests = $(AWK) '{ \
312  recheck = 1; \
313  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
314    { \
315      if (rc < 0) \
316        { \
317          if ((getline line2 < ($$0 ".log")) < 0) \
318            recheck = 0; \
319          break; \
320        } \
321      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
322        { \
323          recheck = 0; \
324          break; \
325        } \
326      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
327        { \
328          break; \
329        } \
330    }; \
331  if (recheck) \
332    print $$0; \
333  close ($$0 ".trs"); \
334  close ($$0 ".log"); \
335}'
336# A command that, given a newline-separated list of test names on the
337# standard input, create the global log from their .trs and .log files.
338am__create_global_log = $(AWK) ' \
339function fatal(msg) \
340{ \
341  print "fatal: making $@: " msg | "cat >&2"; \
342  exit 1; \
343} \
344function rst_section(header) \
345{ \
346  print header; \
347  len = length(header); \
348  for (i = 1; i <= len; i = i + 1) \
349    printf "="; \
350  printf "\n\n"; \
351} \
352{ \
353  copy_in_global_log = 1; \
354  global_test_result = "RUN"; \
355  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
356    { \
357      if (rc < 0) \
358         fatal("failed to read from " $$0 ".trs"); \
359      if (line ~ /$(am__global_test_result_rx)/) \
360        { \
361          sub("$(am__global_test_result_rx)", "", line); \
362          sub("[        ]*$$", "", line); \
363          global_test_result = line; \
364        } \
365      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
366        copy_in_global_log = 0; \
367    }; \
368  if (copy_in_global_log) \
369    { \
370      rst_section(global_test_result ": " $$0); \
371      while ((rc = (getline line < ($$0 ".log"))) != 0) \
372      { \
373        if (rc < 0) \
374          fatal("failed to read from " $$0 ".log"); \
375        print line; \
376      }; \
377      printf "\n"; \
378    }; \
379  close ($$0 ".trs"); \
380  close ($$0 ".log"); \
381}'
382# Restructured Text title.
383am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
384# Solaris 10 'make', and several other traditional 'make' implementations,
385# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
386# by disabling -e (using the XSI extension "set +e") if it's set.
387am__sh_e_setup = case $$- in *e*) set +e;; esac
388# Default flags passed to test drivers.
389am__common_driver_flags = \
390  --color-tests "$$am__color_tests" \
391  --enable-hard-errors "$$am__enable_hard_errors" \
392  --expect-failure "$$am__expect_failure"
393# To be inserted before the command running the test.  Creates the
394# directory for the log if needed.  Stores in $dir the directory
395# containing $f, in $tst the test, in $log the log.  Executes the
396# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
397# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
398# will run the test scripts (or their associated LOG_COMPILER, if
399# thy have one).
400am__check_pre = \
401$(am__sh_e_setup);                                      \
402$(am__vpath_adj_setup) $(am__vpath_adj)                 \
403$(am__tty_colors);                                      \
404srcdir=$(srcdir); export srcdir;                        \
405case "$@" in                                            \
406  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
407    *) am__odir=.;;                                     \
408esac;                                                   \
409test "x$$am__odir" = x"." || test -d "$$am__odir"       \
410  || $(MKDIR_P) "$$am__odir" || exit $$?;               \
411if test -f "./$$f"; then dir=./;                        \
412elif test -f "$$f"; then dir=;                          \
413else dir="$(srcdir)/"; fi;                              \
414tst=$$dir$$f; log='$@';                                 \
415if test -n '$(DISABLE_HARD_ERRORS)'; then               \
416  am__enable_hard_errors=no;                            \
417else                                                    \
418  am__enable_hard_errors=yes;                           \
419fi;                                                     \
420case " $(XFAIL_TESTS) " in                              \
421  *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
422    am__expect_failure=yes;;                            \
423  *)                                                    \
424    am__expect_failure=no;;                             \
425esac;                                                   \
426$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
427# A shell command to get the names of the tests scripts with any registered
428# extension removed (i.e., equivalently, the names of the test logs, with
429# the '.log' extension removed).  The result is saved in the shell variable
430# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
431# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
432# since that might cause problem with VPATH rewrites for suffix-less tests.
433# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
434am__set_TESTS_bases = \
435  bases='$(TEST_LOGS)'; \
436  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
437  bases=`echo $$bases`
438RECHECK_LOGS = $(TEST_LOGS)
439AM_RECURSIVE_TARGETS = check recheck
440TEST_SUITE_LOG = test-suite.log
441TEST_EXTENSIONS = @EXEEXT@ .test
442am__test_logs1 = $(TESTS:=.log)
443am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
444TEST_LOGS = $(am__test_logs2:.test.log=.log)
445TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
446TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
447        $(TEST_LOG_FLAGS)
448am__set_b = \
449  case '$@' in \
450    */*) \
451      case '$*' in \
452        */*) b='$*';; \
453          *) b=`echo '$@' | sed 's/\.log$$//'`; \
454       esac;; \
455    *) \
456      b='$*';; \
457  esac
458am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/cfgaux/depcomp \
459        $(top_srcdir)/cfgaux/test-driver $(top_srcdir)/src/Common.am
460DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
461ACLOCAL = @ACLOCAL@
462ADAPTATION_LIBS = @ADAPTATION_LIBS@
463ALLOCA = @ALLOCA@
464AMTAR = @AMTAR@
465AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
466AR = @AR@
467ARGZ_H = @ARGZ_H@
468AR_R = @AR_R@
469AUTH_LIBS_TO_BUILD = @AUTH_LIBS_TO_BUILD@
470AUTH_MODULES = @AUTH_MODULES@
471AUTOCONF = @AUTOCONF@
472AUTOHEADER = @AUTOHEADER@
473AUTOMAKE = @AUTOMAKE@
474AWK = @AWK@
475BASIC_AUTH_HELPERS = @BASIC_AUTH_HELPERS@
476BUILDCXX = @BUILDCXX@
477BUILDCXXFLAGS = @BUILDCXXFLAGS@
478BZR = @BZR@
479CACHE_EFFECTIVE_USER = @CACHE_EFFECTIVE_USER@
480CC = @CC@
481CCDEPMODE = @CCDEPMODE@
482CFLAGS = @CFLAGS@
483CGIEXT = @CGIEXT@
484CHMOD = @CHMOD@
485CPP = @CPP@
486CPPFLAGS = @CPPFLAGS@
487CPPUNITCONFIG = @CPPUNITCONFIG@
488CRYPTLIB = @CRYPTLIB@
489CXX = @CXX@
490CXXCPP = @CXXCPP@
491CXXDEPMODE = @CXXDEPMODE@
492CXXFLAGS = @CXXFLAGS@
493CYGPATH_W = @CYGPATH_W@
494DEFAULT_HOSTS = @DEFAULT_HOSTS@
495DEFAULT_LOG_DIR = @DEFAULT_LOG_DIR@
496DEFAULT_PID_FILE = @DEFAULT_PID_FILE@
497DEFAULT_SWAP_DIR = @DEFAULT_SWAP_DIR@
498DEFS = @DEFS@
499DEPDIR = @DEPDIR@
500DIGEST_AUTH_HELPERS = @DIGEST_AUTH_HELPERS@
501DISK_LIBS = @DISK_LIBS@
502DISK_LINKOBJS = @DISK_LINKOBJS@
503DISK_MODULES = @DISK_MODULES@
504DISK_OS_LIBS = @DISK_OS_LIBS@
505DISK_PROGRAMS = @DISK_PROGRAMS@
506DLLTOOL = @DLLTOOL@
507DSYMUTIL = @DSYMUTIL@
508DUMPBIN = @DUMPBIN@
509ECAP_LIBS = @ECAP_LIBS@
510ECHO_C = @ECHO_C@
511ECHO_N = @ECHO_N@
512ECHO_T = @ECHO_T@
513EGREP = @EGREP@
514EPOLL_LIBS = @EPOLL_LIBS@
515EUILIB = @EUILIB@
516EXEEXT = @EXEEXT@
517EXPATLIB = @EXPATLIB@
518EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
519EXT_LIBECAP_CFLAGS = @EXT_LIBECAP_CFLAGS@
520EXT_LIBECAP_LIBS = @EXT_LIBECAP_LIBS@
521FALSE = @FALSE@
522FGREP = @FGREP@
523GREP = @GREP@
524HAVE_CXX11 = @HAVE_CXX11@
525ICAP_LIBS = @ICAP_LIBS@
526INCLTDL = @INCLTDL@
527INSTALL = @INSTALL@
528INSTALL_DATA = @INSTALL_DATA@
529INSTALL_PROGRAM = @INSTALL_PROGRAM@
530INSTALL_SCRIPT = @INSTALL_SCRIPT@
531INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
532KRB5INCS = @KRB5INCS@
533KRB5LIBS = @KRB5LIBS@
534LBERLIB = @LBERLIB@
535LD = @LD@
536LDAPLIB = @LDAPLIB@
537LDFLAGS = @LDFLAGS@
538LIBADD_DL = @LIBADD_DL@
539LIBADD_DLD_LINK = @LIBADD_DLD_LINK@
540LIBADD_DLOPEN = @LIBADD_DLOPEN@
541LIBADD_SHL_LOAD = @LIBADD_SHL_LOAD@
542LIBGNUTLS_CFLAGS = @LIBGNUTLS_CFLAGS@
543LIBGNUTLS_LIBS = @LIBGNUTLS_LIBS@
544LIBLTDL = @LIBLTDL@
545LIBOBJS = @LIBOBJS@
546LIBOPENSSL_CFLAGS = @LIBOPENSSL_CFLAGS@
547LIBOPENSSL_LIBS = @LIBOPENSSL_LIBS@
548LIBS = @LIBS@
549LIBSASL = @LIBSASL@
550LIBTOOL = @LIBTOOL@
551LIB_DB = @LIB_DB@
552LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
553LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
554LINUXDOC = @LINUXDOC@
555LIPO = @LIPO@
556LN = @LN@
557LN_S = @LN_S@
558LOG_DAEMON_HELPERS = @LOG_DAEMON_HELPERS@
559LTDLDEPS = @LTDLDEPS@
560LTDLINCL = @LTDLINCL@
561LTDLOPEN = @LTDLOPEN@
562LTLIBOBJS = @LTLIBOBJS@
563LT_CONFIG_H = @LT_CONFIG_H@
564LT_DLLOADERS = @LT_DLLOADERS@
565LT_DLPREOPEN = @LT_DLPREOPEN@
566MAINT = @MAINT@
567MAKEINFO = @MAKEINFO@
568MANIFEST_TOOL = @MANIFEST_TOOL@
569MINGW_LIBS = @MINGW_LIBS@
570MKDIR = @MKDIR@
571MKDIR_P = @MKDIR_P@
572MV = @MV@
573NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
574NETTLELIB = @NETTLELIB@
575NM = @NM@
576NMEDIT = @NMEDIT@
577NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
578OBJDUMP = @OBJDUMP@
579OBJEXT = @OBJEXT@
580OTOOL = @OTOOL@
581OTOOL64 = @OTOOL64@
582PACKAGE = @PACKAGE@
583PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
584PACKAGE_NAME = @PACKAGE_NAME@
585PACKAGE_STRING = @PACKAGE_STRING@
586PACKAGE_TARNAME = @PACKAGE_TARNAME@
587PACKAGE_URL = @PACKAGE_URL@
588PACKAGE_VERSION = @PACKAGE_VERSION@
589PATH_SEPARATOR = @PATH_SEPARATOR@
590PERL = @PERL@
591PKG_CONFIG = @PKG_CONFIG@
592PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
593PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
594PO2HTML = @PO2HTML@
595PO2TEXT = @PO2TEXT@
596POD2MAN = @POD2MAN@
597RANLIB = @RANLIB@
598REGEXLIB = @REGEXLIB@
599REPL_LIBS = @REPL_LIBS@
600REPL_OBJS = @REPL_OBJS@
601REPL_POLICIES = @REPL_POLICIES@
602RM = @RM@
603SED = @SED@
604SET_MAKE = @SET_MAKE@
605SH = @SH@
606SHELL = @SHELL@
607SMBCLIENT = @SMBCLIENT@
608SNMPLIB = @SNMPLIB@
609SQUID_CFLAGS = @SQUID_CFLAGS@
610SQUID_CPPUNIT_INC = @SQUID_CPPUNIT_INC@
611SQUID_CPPUNIT_LA = @SQUID_CPPUNIT_LA@
612SQUID_CPPUNIT_LIBS = @SQUID_CPPUNIT_LIBS@
613SQUID_CXXFLAGS = @SQUID_CXXFLAGS@
614SSLLIB = @SSLLIB@
615STOREID_REWRITE_HELPERS = @STOREID_REWRITE_HELPERS@
616STORE_LIBS_TO_ADD = @STORE_LIBS_TO_ADD@
617STORE_LIBS_TO_BUILD = @STORE_LIBS_TO_BUILD@
618STORE_TESTS = @STORE_TESTS@
619STRIP = @STRIP@
620TR = @TR@
621TRUE = @TRUE@
622URL_REWRITE_HELPERS = @URL_REWRITE_HELPERS@
623VERSION = @VERSION@
624WBINFO = @WBINFO@
625WIN32_PSAPI = @WIN32_PSAPI@
626XMLLIB = @XMLLIB@
627XTRA_LIBS = @XTRA_LIBS@
628XTRA_OBJS = @XTRA_OBJS@
629abs_builddir = @abs_builddir@
630abs_srcdir = @abs_srcdir@
631abs_top_builddir = @abs_top_builddir@
632abs_top_srcdir = @abs_top_srcdir@
633ac_ct_AR = @ac_ct_AR@
634ac_ct_CC = @ac_ct_CC@
635ac_ct_CXX = @ac_ct_CXX@
636ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
637am__include = @am__include@
638am__leading_dot = @am__leading_dot@
639am__quote = @am__quote@
640am__tar = @am__tar@
641am__untar = @am__untar@
642bindir = @bindir@
643build = @build@
644build_alias = @build_alias@
645build_cpu = @build_cpu@
646build_os = @build_os@
647build_vendor = @build_vendor@
648builddir = @builddir@
649datadir = @datadir@
650datarootdir = @datarootdir@
651docdir = @docdir@
652dvidir = @dvidir@
653exec_prefix = @exec_prefix@
654host = @host@
655host_alias = @host_alias@
656host_cpu = @host_cpu@
657host_os = @host_os@
658host_vendor = @host_vendor@
659htmldir = @htmldir@
660includedir = @includedir@
661infodir = @infodir@
662install_sh = @install_sh@
663krb5_config = @krb5_config@
664libdir = @libdir@
665libexecdir = @libexecdir@
666localedir = @localedir@
667localstatedir = @localstatedir@
668ltdl_LIBOBJS = @ltdl_LIBOBJS@
669ltdl_LTLIBOBJS = @ltdl_LTLIBOBJS@
670mandir = @mandir@
671mkdir_p = @mkdir_p@
672oldincludedir = @oldincludedir@
673pdfdir = @pdfdir@
674prefix = @prefix@
675program_transform_name = @program_transform_name@
676psdir = @psdir@
677runstatedir = @runstatedir@
678sbindir = @sbindir@
679sharedstatedir = @sharedstatedir@
680srcdir = @srcdir@
681subdirs = @subdirs@
682sys_symbol_underscore = @sys_symbol_underscore@
683sysconfdir = @sysconfdir@
684target_alias = @target_alias@
685top_build_prefix = @top_build_prefix@
686top_builddir = @top_builddir@
687top_srcdir = @top_srcdir@
688AM_CFLAGS = $(SQUID_CFLAGS)
689AM_CXXFLAGS = $(SQUID_CXXFLAGS)
690CLEANFILES =
691AM_CPPFLAGS = -I$(top_srcdir) -I$(top_srcdir)/include \
692        -I$(top_srcdir)/lib -I$(top_srcdir)/src \
693        -I$(top_builddir)/include $(SQUID_CPPUNIT_INC) $(KRB5INCS) \
694        $(am__append_1) -I$(srcdir)
695@ENABLE_XPROF_STATS_FALSE@LIBPROFILER =
696@ENABLE_XPROF_STATS_TRUE@LIBPROFILER = $(top_builddir)/lib/profiler/libprofiler.la
697COMPAT_LIB = $(top_builddir)/compat/libcompat-squid.la $(LIBPROFILER)
698subst_perlshell = sed -e 's,[@]PERL[@],$(PERL),g' <$(srcdir)/$@.pl.in >$@ || ($(RM) -f $@ ; exit 1)
699basic_nis_auth_SOURCES = \
700        basic_nis_auth.cc \
701        nis_support.h \
702        nis_support.cc
703
704basic_nis_auth_LDADD = \
705        $(top_builddir)/lib/libmiscencoding.la \
706        $(COMPAT_LIB) \
707        $(CRYPTLIB) \
708        $(XTRA_LIBS)
709
710EXTRA_DIST = required.m4
711all: all-am
712
713.SUFFIXES:
714.SUFFIXES: .cc .lo .log .o .obj .test .test$(EXEEXT) .trs
715$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/src/Common.am $(am__configure_deps)
716        @for dep in $?; do \
717          case '$(am__configure_deps)' in \
718            *$$dep*) \
719              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
720                && { if test -f $@; then exit 0; else break; fi; }; \
721              exit 1;; \
722          esac; \
723        done; \
724        echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign helpers/basic_auth/NIS/Makefile'; \
725        $(am__cd) $(top_srcdir) && \
726          $(AUTOMAKE) --foreign helpers/basic_auth/NIS/Makefile
727Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
728        @case '$?' in \
729          *config.status*) \
730            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
731          *) \
732            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
733            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
734        esac;
735$(top_srcdir)/src/Common.am $(am__empty):
736
737$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
738        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
739
740$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
741        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
742$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
743        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
744$(am__aclocal_m4_deps):
745
746clean-checkPROGRAMS:
747        @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
748        echo " rm -f" $$list; \
749        rm -f $$list || exit $$?; \
750        test -n "$(EXEEXT)" || exit 0; \
751        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
752        echo " rm -f" $$list; \
753        rm -f $$list
754install-libexecPROGRAMS: $(libexec_PROGRAMS)
755        @$(NORMAL_INSTALL)
756        @list='$(libexec_PROGRAMS)'; test -n "$(libexecdir)" || list=; \
757        if test -n "$$list"; then \
758          echo " $(MKDIR_P) '$(DESTDIR)$(libexecdir)'"; \
759          $(MKDIR_P) "$(DESTDIR)$(libexecdir)" || exit 1; \
760        fi; \
761        for p in $$list; do echo "$$p $$p"; done | \
762        sed 's/$(EXEEXT)$$//' | \
763        while read p p1; do if test -f $$p \
764         || test -f $$p1 \
765          ; then echo "$$p"; echo "$$p"; else :; fi; \
766        done | \
767        sed -e 'p;s,.*/,,;n;h' \
768            -e 's|.*|.|' \
769            -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
770        sed 'N;N;N;s,\n, ,g' | \
771        $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
772          { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
773            if ($$2 == $$4) files[d] = files[d] " " $$1; \
774            else { print "f", $$3 "/" $$4, $$1; } } \
775          END { for (d in files) print "f", d, files[d] }' | \
776        while read type dir files; do \
777            if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
778            test -z "$$files" || { \
779            echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(libexecdir)$$dir'"; \
780            $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(libexecdir)$$dir" || exit $$?; \
781            } \
782        ; done
783
784uninstall-libexecPROGRAMS:
785        @$(NORMAL_UNINSTALL)
786        @list='$(libexec_PROGRAMS)'; test -n "$(libexecdir)" || list=; \
787        files=`for p in $$list; do echo "$$p"; done | \
788          sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
789              -e 's/$$/$(EXEEXT)/' \
790        `; \
791        test -n "$$list" || exit 0; \
792        echo " ( cd '$(DESTDIR)$(libexecdir)' && rm -f" $$files ")"; \
793        cd "$(DESTDIR)$(libexecdir)" && rm -f $$files
794
795clean-libexecPROGRAMS:
796        @list='$(libexec_PROGRAMS)'; test -n "$$list" || exit 0; \
797        echo " rm -f" $$list; \
798        rm -f $$list || exit $$?; \
799        test -n "$(EXEEXT)" || exit 0; \
800        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
801        echo " rm -f" $$list; \
802        rm -f $$list
803
804basic_nis_auth$(EXEEXT): $(basic_nis_auth_OBJECTS) $(basic_nis_auth_DEPENDENCIES) $(EXTRA_basic_nis_auth_DEPENDENCIES)
805        @rm -f basic_nis_auth$(EXEEXT)
806        $(AM_V_CXXLD)$(CXXLINK) $(basic_nis_auth_OBJECTS) $(basic_nis_auth_LDADD) $(LIBS)
807
808mostlyclean-compile:
809        -rm -f *.$(OBJEXT)
810
811distclean-compile:
812        -rm -f *.tab.c
813
814@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/basic_nis_auth.Po@am__quote@
815@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/nis_support.Po@am__quote@
816
817.cc.o:
818@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
819@am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
820@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
821@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
822@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
823@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
824
825.cc.obj:
826@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
827@am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
828@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
829@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
830@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
831@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
832
833.cc.lo:
834@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
835@am__fastdepCXX_TRUE@   $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
836@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Plo
837@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
838@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
839@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
840
841mostlyclean-libtool:
842        -rm -f *.lo
843
844clean-libtool:
845        -rm -rf .libs _libs
846
847ID: $(am__tagged_files)
848        $(am__define_uniq_tagged_files); mkid -fID $$unique
849tags: tags-am
850TAGS: tags
851
852tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
853        set x; \
854        here=`pwd`; \
855        $(am__define_uniq_tagged_files); \
856        shift; \
857        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
858          test -n "$$unique" || unique=$$empty_fix; \
859          if test $$# -gt 0; then \
860            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
861              "$$@" $$unique; \
862          else \
863            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
864              $$unique; \
865          fi; \
866        fi
867ctags: ctags-am
868
869CTAGS: ctags
870ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
871        $(am__define_uniq_tagged_files); \
872        test -z "$(CTAGS_ARGS)$$unique" \
873          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
874             $$unique
875
876GTAGS:
877        here=`$(am__cd) $(top_builddir) && pwd` \
878          && $(am__cd) $(top_srcdir) \
879          && gtags -i $(GTAGS_ARGS) "$$here"
880cscopelist: cscopelist-am
881
882cscopelist-am: $(am__tagged_files)
883        list='$(am__tagged_files)'; \
884        case "$(srcdir)" in \
885          [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
886          *) sdir=$(subdir)/$(srcdir) ;; \
887        esac; \
888        for i in $$list; do \
889          if test -f "$$i"; then \
890            echo "$(subdir)/$$i"; \
891          else \
892            echo "$$sdir/$$i"; \
893          fi; \
894        done >> $(top_builddir)/cscope.files
895
896distclean-tags:
897        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
898
899# Recover from deleted '.trs' file; this should ensure that
900# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
901# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
902# to avoid problems with "make -n".
903.log.trs:
904        rm -f $< $@
905        $(MAKE) $(AM_MAKEFLAGS) $<
906
907# Leading 'am--fnord' is there to ensure the list of targets does not
908# expand to empty, as could happen e.g. with make check TESTS=''.
909am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
910am--force-recheck:
911        @:
912
913$(TEST_SUITE_LOG): $(TEST_LOGS)
914        @$(am__set_TESTS_bases); \
915        am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
916        redo_bases=`for i in $$bases; do \
917                      am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
918                    done`; \
919        if test -n "$$redo_bases"; then \
920          redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
921          redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
922          if $(am__make_dryrun); then :; else \
923            rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
924          fi; \
925        fi; \
926        if test -n "$$am__remaking_logs"; then \
927          echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
928               "recursion detected" >&2; \
929        elif test -n "$$redo_logs"; then \
930          am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
931        fi; \
932        if $(am__make_dryrun); then :; else \
933          st=0;  \
934          errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
935          for i in $$redo_bases; do \
936            test -f $$i.trs && test -r $$i.trs \
937              || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
938            test -f $$i.log && test -r $$i.log \
939              || { echo "$$errmsg $$i.log" >&2; st=1; }; \
940          done; \
941          test $$st -eq 0 || exit 1; \
942        fi
943        @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
944        ws='[   ]'; \
945        results=`for b in $$bases; do echo $$b.trs; done`; \
946        test -n "$$results" || results=/dev/null; \
947        all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
948        pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
949        fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
950        skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
951        xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
952        xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
953        error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
954        if test `expr $$fail + $$xpass + $$error` -eq 0; then \
955          success=true; \
956        else \
957          success=false; \
958        fi; \
959        br='==================='; br=$$br$$br$$br$$br; \
960        result_count () \
961        { \
962            if test x"$$1" = x"--maybe-color"; then \
963              maybe_colorize=yes; \
964            elif test x"$$1" = x"--no-color"; then \
965              maybe_colorize=no; \
966            else \
967              echo "$@: invalid 'result_count' usage" >&2; exit 4; \
968            fi; \
969            shift; \
970            desc=$$1 count=$$2; \
971            if test $$maybe_colorize = yes && test $$count -gt 0; then \
972              color_start=$$3 color_end=$$std; \
973            else \
974              color_start= color_end=; \
975            fi; \
976            echo "$${color_start}# $$desc $$count$${color_end}"; \
977        }; \
978        create_testsuite_report () \
979        { \
980          result_count $$1 "TOTAL:" $$all   "$$brg"; \
981          result_count $$1 "PASS: " $$pass  "$$grn"; \
982          result_count $$1 "SKIP: " $$skip  "$$blu"; \
983          result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
984          result_count $$1 "FAIL: " $$fail  "$$red"; \
985          result_count $$1 "XPASS:" $$xpass "$$red"; \
986          result_count $$1 "ERROR:" $$error "$$mgn"; \
987        }; \
988        {                                                               \
989          echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
990            $(am__rst_title);                                           \
991          create_testsuite_report --no-color;                           \
992          echo;                                                         \
993          echo ".. contents:: :depth: 2";                               \
994          echo;                                                         \
995          for b in $$bases; do echo $$b; done                           \
996            | $(am__create_global_log);                                 \
997        } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
998        mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
999        if $$success; then                                              \
1000          col="$$grn";                                                  \
1001         else                                                           \
1002          col="$$red";                                                  \
1003          test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
1004        fi;                                                             \
1005        echo "$${col}$$br$${std}";                                      \
1006        echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
1007        echo "$${col}$$br$${std}";                                      \
1008        create_testsuite_report --maybe-color;                          \
1009        echo "$$col$$br$$std";                                          \
1010        if $$success; then :; else                                      \
1011          echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
1012          if test -n "$(PACKAGE_BUGREPORT)"; then                       \
1013            echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
1014          fi;                                                           \
1015          echo "$$col$$br$$std";                                        \
1016        fi;                                                             \
1017        $$success || exit 1
1018
1019check-TESTS:
1020        @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
1021        @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1022        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1023        @set +e; $(am__set_TESTS_bases); \
1024        log_list=`for i in $$bases; do echo $$i.log; done`; \
1025        trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1026        log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1027        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1028        exit $$?;
1029recheck: all $(check_PROGRAMS)
1030        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1031        @set +e; $(am__set_TESTS_bases); \
1032        bases=`for i in $$bases; do echo $$i; done \
1033                 | $(am__list_recheck_tests)` || exit 1; \
1034        log_list=`for i in $$bases; do echo $$i.log; done`; \
1035        log_list=`echo $$log_list`; \
1036        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1037                am__force_recheck=am--force-recheck \
1038                TEST_LOGS="$$log_list"; \
1039        exit $$?
1040.test.log:
1041        @p='$<'; \
1042        $(am__set_b); \
1043        $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1044        --log-file $$b.log --trs-file $$b.trs \
1045        $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1046        "$$tst" $(AM_TESTS_FD_REDIRECT)
1047@am__EXEEXT_TRUE@.test$(EXEEXT).log:
1048@am__EXEEXT_TRUE@       @p='$<'; \
1049@am__EXEEXT_TRUE@       $(am__set_b); \
1050@am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1051@am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
1052@am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1053@am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
1054
1055distdir: $(DISTFILES)
1056        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1057        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1058        list='$(DISTFILES)'; \
1059          dist_files=`for file in $$list; do echo $$file; done | \
1060          sed -e "s|^$$srcdirstrip/||;t" \
1061              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1062        case $$dist_files in \
1063          */*) $(MKDIR_P) `echo "$$dist_files" | \
1064                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1065                           sort -u` ;; \
1066        esac; \
1067        for file in $$dist_files; do \
1068          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1069          if test -d $$d/$$file; then \
1070            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1071            if test -d "$(distdir)/$$file"; then \
1072              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1073            fi; \
1074            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1075              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1076              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1077            fi; \
1078            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1079          else \
1080            test -f "$(distdir)/$$file" \
1081            || cp -p $$d/$$file "$(distdir)/$$file" \
1082            || exit 1; \
1083          fi; \
1084        done
1085check-am: all-am
1086        $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1087        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
1088check: check-am
1089all-am: Makefile $(PROGRAMS)
1090installdirs:
1091        for dir in "$(DESTDIR)$(libexecdir)"; do \
1092          test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1093        done
1094install: install-am
1095install-exec: install-exec-am
1096install-data: install-data-am
1097uninstall: uninstall-am
1098
1099install-am: all-am
1100        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1101
1102installcheck: installcheck-am
1103install-strip:
1104        if test -z '$(STRIP)'; then \
1105          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1106            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1107              install; \
1108        else \
1109          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1110            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1111            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1112        fi
1113mostlyclean-generic:
1114        -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1115        -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1116        -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1117
1118clean-generic:
1119        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1120
1121distclean-generic:
1122        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1123        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1124
1125maintainer-clean-generic:
1126        @echo "This command is intended for maintainers to use"
1127        @echo "it deletes files that may require special tools to rebuild."
1128clean: clean-am
1129
1130clean-am: clean-checkPROGRAMS clean-generic clean-libexecPROGRAMS \
1131        clean-libtool mostlyclean-am
1132
1133distclean: distclean-am
1134        -rm -rf ./$(DEPDIR)
1135        -rm -f Makefile
1136distclean-am: clean-am distclean-compile distclean-generic \
1137        distclean-tags
1138
1139dvi: dvi-am
1140
1141dvi-am:
1142
1143html: html-am
1144
1145html-am:
1146
1147info: info-am
1148
1149info-am:
1150
1151install-data-am:
1152
1153install-dvi: install-dvi-am
1154
1155install-dvi-am:
1156
1157install-exec-am: install-libexecPROGRAMS
1158
1159install-html: install-html-am
1160
1161install-html-am:
1162
1163install-info: install-info-am
1164
1165install-info-am:
1166
1167install-man:
1168
1169install-pdf: install-pdf-am
1170
1171install-pdf-am:
1172
1173install-ps: install-ps-am
1174
1175install-ps-am:
1176
1177installcheck-am:
1178
1179maintainer-clean: maintainer-clean-am
1180        -rm -rf ./$(DEPDIR)
1181        -rm -f Makefile
1182maintainer-clean-am: distclean-am maintainer-clean-generic
1183
1184mostlyclean: mostlyclean-am
1185
1186mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1187        mostlyclean-libtool
1188
1189pdf: pdf-am
1190
1191pdf-am:
1192
1193ps: ps-am
1194
1195ps-am:
1196
1197uninstall-am: uninstall-libexecPROGRAMS
1198
1199.MAKE: check-am install-am install-strip
1200
1201.PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \
1202        clean-checkPROGRAMS clean-generic clean-libexecPROGRAMS \
1203        clean-libtool cscopelist-am ctags ctags-am distclean \
1204        distclean-compile distclean-generic distclean-libtool \
1205        distclean-tags distdir dvi dvi-am html html-am info info-am \
1206        install install-am install-data install-data-am install-dvi \
1207        install-dvi-am install-exec install-exec-am install-html \
1208        install-html-am install-info install-info-am \
1209        install-libexecPROGRAMS install-man install-pdf install-pdf-am \
1210        install-ps install-ps-am install-strip installcheck \
1211        installcheck-am installdirs maintainer-clean \
1212        maintainer-clean-generic mostlyclean mostlyclean-compile \
1213        mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1214        recheck tags tags-am uninstall uninstall-am \
1215        uninstall-libexecPROGRAMS
1216
1217.PRECIOUS: Makefile
1218
1219
1220$(OBJS): $(top_srcdir)/include/version.h $(top_builddir)/include/autoconf.h
1221
1222# Tell versions [3.59,3.63) of GNU make to not export all variables.
1223# Otherwise a system limit (for SysV at least) may be exceeded.
1224.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.